# Class DRACOLoader

#### Hierarchy

- Loader
  - DRACOLoader

- Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:7

##### Index

### Constructors

constructor

### Methods

dispose
load
preload
setDecoderConfig
setDecoderPath
setWorkerLimit

## Constructors

### constructor

- new DRACOLoader(manager?: LoadingManager): DRACOLoader

  #### Parameters

  - `Optional` manager: LoadingManager

  #### Returns DRACOLoader

  Overrides Loader.constructor

  - Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:9

## Methods

### dispose

- dispose(): DRACOLoader

  #### Returns DRACOLoader

  - Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:16

### load

- load(
  url: string,
  onLoad: (geometry: BufferGeometry) => void,
  onProgress?: (event: ProgressEvent) => void,
  onError?: (event: ErrorEvent) => void,
  ): void

  #### Parameters

  - url: string
  - onLoad: (geometry: BufferGeometry) => void
  - `Optional` onProgress: (event: ProgressEvent) => void
  - `Optional` onError: (event: ErrorEvent) => void

  #### Returns void

  - Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:11

### preload

- preload(): DRACOLoader

  #### Returns DRACOLoader

  - Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:15

### setDecoderConfig

- setDecoderConfig(config: object): DRACOLoader

  #### Parameters

  - config: object

  #### Returns DRACOLoader

  - Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:13

### setDecoderPath

- setDecoderPath(path: string): DRACOLoader

  #### Parameters

  - path: string

  #### Returns DRACOLoader

  - Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:12

### setWorkerLimit

- setWorkerLimit(workerLimit: number): DRACOLoader

  #### Parameters

  - workerLimit: number

  #### Returns DRACOLoader

  - Defined in lib/gltf-loader/thirdparty/DRACOLoader.d.ts:14